%bcond_without check
%bcond_without bootstrap

%global goipath         github.com/go-kit/kit
Version:                0.11.0

%gometa

%global goipaths0       github.com/go-kit/kit
%global goipathsex0     github.com/go-kit/kit/sd/etcd github.com/go-kit/kit/sd/etcdv3

%if %{without bootstrap}
%global goipaths1       github.com/go-kit/kit/sd/etcd github.com/go-kit/kit/sd/etcdv3
%endif

%global common_description %{expand:
Go kit is a programming toolkit for building microservices (or elegant
monoliths) in Go. We solve common problems in distributed systems and
application architecture so you can focus on delivering business value.}

%global golicenses      LICENSE log/term/LICENSE
%global godocs          examples CONTRIBUTING.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Standard library for microservices

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor.tar.gz



%description
%{common_description}

%gopkg

%prep
%goprep
tar -xzf %{SOURCE1}

%if %{without bootstrap}
%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
%endif

%install
%gopkginstall
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
%endif

%if %{without bootstrap}
%if %{with check}
%check
%gocheck -t metrics
%endif
%endif

%if %{without bootstrap}
%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*
%endif

%gopkgfiles

%changelog
* Mon Sep 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-1
- initial build
